ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:netherite_ingot' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:anvil' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'endrem:witch_eye' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'endrem:exotic_eye' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:composter' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'storagenetwork:master' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'storagenetwork:inventory' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'storagenetwork:request' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'storagenetwork:inventory_remote' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'storagenetwork:crafting_remote' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'storagenetwork:storage_kabel' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:wooden_sword' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:stone_sword' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:iron_sword' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:golden_sword' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:diamond_sword' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:netherite_sword_smithing' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'witherstormmod:formidibomb' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:fermented_spider_eye' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'witherstormmod:super_beacon' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'constructionwand:stone_wand' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'constructionwand:iron_wand' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'constructionwand:diamond_wand' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'constructionwand:infinity_wand' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:bone_meal' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:shears' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:white_dye' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'advancednetherite:netherite_iron_ingot' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'advancednetherite:netherite_gold_ingot' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'advancednetherite:netherite_emerald_ingot' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'advancednetherite:netherite_diamond_ingot' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:leather_helmet' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:leather_chestplate' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:leather_leggings' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:leather_boots' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:iron_helmet' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:iron_chestplate' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:iron_leggings' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:iron_boots' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:golden_helmet' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:golden_chestplate' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:golden_leggings' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:golden_boots' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:diamond_helmet' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:diamond_chestplate' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:diamond_leggings' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:diamond_boots' })
})

ServerEvents.recipes(event => {
  event.remove({ id: 'minecraft:leather' })
})

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:iron_ore', 2),
      [
        ' C ',
        ' B ',
        ' A '
      ],
      {
        A: 'minecraft:rotten_flesh',
        B: 'minecraft:iron_ingot',
        C: 'minecraft:cobblestone'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:gold_ore', 2),
      [
        ' A ',
        ' B ',
        ' C '
      ],
      {
        A: 'minecraft:stone',
        B: 'minecraft:raw_iron',
        C: 'minecraft:water_bucket'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:diamond_ore', 2),
      [
        ' A ',
        ' B ',
        ' C '
      ],
      {
        A: 'minecraft:stone',
        B: 'minecraft:raw_gold',
        C: 'minecraft:water_bucket'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:lapis_ore', 2),
      [
        ' A ',
        ' B ',
        ' C '
      ],
      {
        A: 'minecraft:stone',
        B: 'minecraft:diamond',
        C: 'minecraft:water_bucket'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:redstone_ore', 2),
      [
        ' A ',
        ' B ',
        ' C '
      ],
      {
        A: 'minecraft:stone',
        B: 'minecraft:lapis_lazuli',
        C: 'minecraft:water_bucket'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:coal_ore', 2),
      [
        ' A ',
        ' B ',
        ' C '
      ],
      {
        A: 'minecraft:stone',
        B: 'minecraft:redstone',
        C: 'minecraft:water_bucket'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:copper_ore', 2),
      [
        ' A ',
        ' B ',
        ' C '
      ],
      {
        A: 'minecraft:stone',
        B: 'minecraft:coal',
        C: 'minecraft:water_bucket'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:emerald_ore', 2),
      [
        ' A ',
        ' B ',
        ' C '
      ],
      {
        A: 'minecraft:stone',
        B: 'minecraft:raw_copper',
        C: 'minecraft:water_bucket'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:nether_quartz_ore', 2),
      [
        ' A ',
        ' B ',
        ' C '
      ],
      {
        A: 'minecraft:netherrack',
        B: 'minecraft:emerald',
        C: 'minecraft:lava_bucket'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:nether_gold_ore', 2),
      [
        ' A ',
        ' B ',
        ' C '
      ],
      {
        A: 'minecraft:netherrack',
        B: 'minecraft:quartz',
        C: 'minecraft:lava_bucket'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('minecraft:netherite_ingot', 5),
      [
        'ADB',
        'CEC',
        'BDA'
      ],
      {
        A: 'minecraft:nether_gold_ore',
        B: 'minecraft:quartz_block',
        C: 'minecraft:diamond',
        D: 'minecraft:emerald',
        E: 'minecraft:music_disc_5'
      }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:disc_fragment_5', 9),
    [
      'AEB',
      'HIF',
      'DGC'
    ],
    {
      A: 'minecraft:copper_ingot',
      B: 'minecraft:gold_ingot',
      C: 'minecraft:redstone',
      D: 'minecraft:coal',
      E: 'minecraft:music_disc_13',
      F: 'minecraft:music_disc_blocks',
      G: 'minecraft:music_disc_11',
      H: 'minecraft:music_disc_relic',
      I: 'minecraft:note_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:music_disc_11', 1),
    [
      'AEB',
      'EFE',
      'DEC'
    ],
    {
      A: 'minecraft:smooth_quartz',
      B: 'minecraft:quartz_pillar',
      C: 'minecraft:chiseled_quartz_block',
      D: 'minecraft:quartz_bricks',
      E: 'minecraft:coal_ore',
      F: 'minecraft:coal_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:music_disc_relic', 1),
    [
      'AEB',
      'EFE',
      'DEC'
    ],
    {
      A: 'minecraft:smooth_quartz',
      B: 'minecraft:quartz_pillar',
      C: 'minecraft:chiseled_quartz_block',
      D: 'minecraft:quartz_bricks',
      E: 'minecraft:copper_ore',
      F: 'minecraft:copper_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:music_disc_13', 1),
    [
      'AEB',
      'EFE',
      'DEC'
    ],
    {
      A: 'minecraft:smooth_quartz',
      B: 'minecraft:quartz_pillar',
      C: 'minecraft:chiseled_quartz_block',
      D: 'minecraft:quartz_bricks',
      E: 'minecraft:gold_ore',
      F: 'minecraft:gold_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:music_disc_blocks', 1),
    [
      'AEB',
      'EFE',
      'DEC'
    ],
    {
      A: 'minecraft:smooth_quartz',
      B: 'minecraft:quartz_pillar',
      C: 'minecraft:chiseled_quartz_block',
      D: 'minecraft:quartz_bricks',
      E: 'minecraft:redstone_ore',
      F: 'minecraft:redstone_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:cobblestone', 2),
    [
      ' A ',
      'BCB',
      ' A '
    ],
    {
      A: 'minecraft:stripped_birch_log',
      B: 'minecraft:stripped_jungle_log',
      C: 'minecraft:spruce_sapling'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:netherrack', 1),
    [
      'DAD',
      'BCB',
      'DAD'
    ],
    {
      A: 'minecraft:stone',
      B: 'minecraft:gravel',
      C: 'minecraft:lava_bucket',
      D: 'minecraft:glowstone_dust'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:glowstone_dust', 2),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:gunpowder',
      B: 'minecraft:redstone',
      C: 'minecraft:flint'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:gravel', 5),
    [
      '   ',
      'ABA',
      '   '
    ],
    {
      A: 'minecraft:stone',
      B: 'minecraft:cobblestone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:lava_bucket', 1),
    [
      ' A ',
      ' B ',
      '   '
    ],
    {
      A: 'minecraft:redstone_block',
      B: 'minecraft:bucket'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:creeper_spawn_egg', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:zombie_spawn_egg',
      B: 'minecraft:emerald_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:sugar_cane', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'minecraft:cocoa_beans',
      B: 'minecraft:glow_ink_sac',
      C: 'minecraft:rotten_flesh'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:cocoa_beans', 1),
    [
      ' B ',
      'BAB',
      ' B '
    ],
    {
      A: 'minecraft:beetroot_seeds',
      B: 'minecraft:rotten_flesh'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:beetroot_seeds', 1),
    [
      ' B ',
      'BAB',
      ' B '
    ],
    {
      A: 'minecraft:melon_seeds',
      B: 'minecraft:rotten_flesh'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:melon_seeds', 1),
    [
      ' B ',
      'BAB',
      ' B '
    ],
    {
      A: 'minecraft:pumpkin_seeds',
      B: 'minecraft:rotten_flesh'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:pumpkin_seeds', 1),
    [
      ' B ',
      'BAB',
      ' B '
    ],
    {
      A: 'minecraft:wheat_seeds',
      B: 'minecraft:rotten_flesh'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:bread', 5),
    [
      ' B ',
      'CAC',
      ' B '
    ],
    {
      A: 'minecraft:stick',
      B: 'minecraft:oak_leaves',
      C: 'minecraft:stripped_oak_log'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:end_stone', 1),
    [
      'ACA',
      'DBD',
      'ACA'
    ],
    {
      A: 'minecraft:grass_block',
      B: 'minecraft:netherrack',
      C: 'minecraft:nether_wart_block',
      D: 'minecraft:magma_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:kelp', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'minecraft:bamboo',
      B: 'minecraft:glow_ink_sac',
      C: 'minecraft:rotten_flesh'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:grass_block', 1),
    [
      'CAC',
      'BAD',
      'CAC'
    ],
    {
      A: 'minecraft:dirt',
      B: 'minecraft:carrot',
      C: 'minecraft:rotten_flesh',
      D: 'minecraft:potato'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:moss_block', 1),
    [
      'CAC',
      'BAB',
      'CAC'
    ],
    {
      A: 'minecraft:grass_block',
      B: 'minecraft:nether_wart',
      C: 'minecraft:rotten_flesh'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:seagrass', 2),
    [
      'CAC',
      'BAB',
      'CAC'
    ],
    {
      A: 'minecraft:moss_block',
      B: 'minecraft:nether_wart',
      C: 'minecraft:rotten_flesh'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:nether_wart', 1),
    [
      ' B ',
      'EAC',
      ' D '
    ],
    {
      A: 'minecraft:netherrack',
      B: 'minecraft:cocoa_beans',
      C: 'minecraft:pumpkin_seeds',
      D: 'minecraft:melon_seeds',
      E: 'minecraft:beetroot_seeds'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:wet_sponge', 1),
    [
      'ABA',
      'DCD',
      'ADA'
    ],
    {
      A: 'minecraft:seagrass',
      B: 'minecraft:honeycomb_block',
      C: 'minecraft:nautilus_shell',
      D: 'minecraft:brain_coral_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:allium', 1),
    [
      ' B ',
      'CEA',
      ' D '
    ],
    {
      A: 'minecraft:oxeye_daisy',
      B: 'minecraft:azure_bluet',
      C: 'minecraft:poppy',
      D: 'minecraft:dandelion',
      E: 'minecraft:nether_wart'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:sand', 2),
    [
      'ACA',
      'BDB',
      'ACA'
    ],
    {
      A: 'minecraft:soul_sand',
      B: 'minecraft:kelp',
      C: 'minecraft:amethyst_block',
      D: 'minecraft:nautilus_shell'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:nautilus_shell', 4),
    [
      'CAC',
      'ABA',
      'CAC'
    ],
    {
      A: 'minecraft:flowering_azalea_leaves',
      B: 'minecraft:nether_wart',
      C: 'minecraft:amethyst_block'
    }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:shears', 1),
    [
      '   ',
      ' A ',
      '   '
    ],
    {
      A: 'minecraft:bone_meal'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:black_dye', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:allium',
      B: 'minecraft:nether_wart',
      C: 'minecraft:honeycomb'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:ink_sac', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:sponge',
      B: 'minecraft:black_dye',
      C: 'minecraft:honeycomb'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:glow_ink_sac', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:glowstone',
      B: 'minecraft:ink_sac',
      C: 'minecraft:honeycomb'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:bamboo', 1),
    [
      'BCB',
      'CAC',
      'BCB'
    ],
    {
      A: 'minecraft:sugar_cane',
      B: 'minecraft:rotten_flesh',
      C: 'minecraft:glow_ink_sac'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:brain_coral_block', 2),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:allium',
      B: 'minecraft:nautilus_shell',
      C: 'minecraft:cherry_sapling'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:echo_shard', 1),
    [
      'ABA',
      'EFC',
      'ADA'
    ],
    {
      A: 'minecraft:nether_wart_block',
      B: 'minecraft:porkchop',
      C: 'minecraft:beef',
      D: 'minecraft:mutton',
      E: 'minecraft:chicken',
      F: 'minecraft:sculk_catalyst'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:deepslate_iron_ore', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:ancient_debris',
      B: 'minecraft:iron_block',
      C: 'minecraft:deepslate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:deepslate_gold_ore', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:deepslate_iron_ore',
      B: 'minecraft:gold_block',
      C: 'minecraft:deepslate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:deepslate_diamond_ore', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:deepslate_gold_ore',
      B: 'minecraft:diamond_block',
      C: 'minecraft:deepslate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:deepslate_lapis_ore', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:deepslate_diamond_ore',
      B: 'minecraft:lapis_block',
      C: 'minecraft:deepslate'
    }
  )}
)
ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:deepslate_redstone_ore', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:deepslate_lapis_ore',
      B: 'minecraft:redstone_block',
      C: 'minecraft:deepslate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:deepslate_emerald_ore', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:deepslate_redstone_ore',
      B: 'minecraft:emerald_block',
      C: 'minecraft:deepslate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:deepslate_coal_ore', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:deepslate_emerald_ore',
      B: 'minecraft:coal_block',
      C: 'minecraft:deepslate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:deepslate_copper_ore', 1),
    [
      ' A ',
      ' B ',
      ' C '
    ],
    {
      A: 'minecraft:deepslate_coal_ore',
      B: 'minecraft:waxed_weathered_cut_copper',
      C: 'minecraft:deepslate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:ancient_debris', 1),
    [
      'ACA',
      'CBC',
      'ACA'
    ],
    {
      A: 'minecraft:nether_wart_block',
      B: 'minecraft:netherrack',
      C: 'minecraft:netherite_scrap'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:magma_block', 1),
    [
      ' A ',
      'CBC',
      ' A '
    ],
    {
      A: 'minecraft:nether_wart_block',
      B: 'minecraft:netherrack',
      C: 'minecraft:lava_bucket'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:cobbled_deepslate', 1),
    [
      'ABC',
      'BDB',
      'CBA'
    ],
    {
      A: 'minecraft:cobblestone',
      B: 'minecraft:netherrack',
      C: 'minecraft:stone',
      D: 'minecraft:sand'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:evil_eye', 1),
    [
      'DCB',
      'CAC',
      'BCD'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:nether_star',
      C: 'minecraft:emerald_block',
      D: 'minecraft:brewing_stand'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:cursed_eye', 1),
    [
      'BCB',
      'CAC',
      'BCB'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:gold_block',
      C: 'minecraft:gilded_blackstone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:black_eye', 1),
    [
      'CBD',
      'BAB',
      'DBC'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:nautilus_shell',
      C: 'minecraft:heart_of_the_sea',
      D: 'minecraft:conduit'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:cold_eye', 1),
    [
      'CDE',
      'BAB',
      'EDC'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:powder_snow_bucket',
      C: 'minecraft:wither_skeleton_skull',
      D: 'minecraft:enchanted_golden_apple',
      E: 'minecraft:spruce_sapling'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:corrupted_eye', 1),
    [
      'CBD',
      'BAB',
      'DBC'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:crossbow',
      C: 'minecraft:spectral_arrow',
      D: 'minecraft:tipped_arrow'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:lost_eye', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:deepslate',
      C: 'minecraft:deepslate_copper_ore'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:rogue_eye', 1),
    [
      'CBD',
      'BAB',
      'DBC'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:flowering_azalea',
      C: 'minecraft:cocoa_beans',
      D: 'minecraft:bamboo_mosaic'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:old_eye', 1),
    [
      'ACA',
      'DBD',
      'ACA'
    ],
    {
      A: 'minecraft:sandstone',
      B: 'minecraft:ender_eye',
      C: 'minecraft:cactus',
      D: 'minecraft:tnt'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:nether_eye', 1),
    [
      'BAC',
      'DED',
      'CAB'
    ],
    {
      A: 'minecraft:nether_star',
      B: 'minecraft:fire_charge',
      C: 'minecraft:netherite_ingot',
      D: 'minecraft:ancient_debris',
      E: 'minecraft:ender_eye'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:magical_eye', 1),
    [
      'BCB',
      'DAD',
      'BCB'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:totem_of_undying',
      C: 'minecraft:wither_rose',
      D: 'minecraft:glowstone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('endrem:guardian_eye', 1),
    [
      'DBC',
      'BAB',
      'CBD'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:conduit',
      C: 'minecraft:dark_prismarine',
      D: 'minecraft:prismarine'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:prismarine', 1),
    [
      'DBC',
      'BAB',
      'CBD'
    ],
    {
      A: 'minecraft:conduit',
      B: 'minecraft:heart_of_the_sea',
      C: 'minecraft:blackstone',
      D: 'minecraft:stone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:gilded_blackstone', 1),
    [
      'BBB',
      'BAB',
      'BBB'
    ],
    {
      A: 'minecraft:gold_block',
      B: 'minecraft:blackstone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:cactus', 1),
    [
      'GDF',
      'CEA',
      'IBH'
    ],
    {
      A: 'minecraft:sugar_cane',
      B: 'minecraft:bamboo',
      C: 'minecraft:seagrass',
      D: 'minecraft:kelp',
      E: 'minecraft:sand',
      F: 'minecraft:pumpkin_seeds',
      G: 'minecraft:melon_seeds',
      H: 'minecraft:cocoa_beans',
      I: 'minecraft:beetroot_seeds'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:dark_prismarine', 1),
    [
      'BBB',
      'ACA',
      'BBB'
    ],
    {
      A: 'minecraft:heart_of_the_sea',
      B: 'minecraft:blackstone',
      C: 'minecraft:prismarine'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:blackstone', 1),
    [
      'BBB',
      'BAB',
      'BBB'
    ],
    {
      A: 'minecraft:stone',
      B: 'minecraft:netherrack'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:chicken_spawn_egg', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'minecraft:netherite_ingot',
      B: 'minecraft:amethyst_shard',
      C: 'minecraft:azalea_leaves'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:pig_spawn_egg', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'minecraft:netherite_ingot',
      B: 'minecraft:amethyst_shard',
      C: 'minecraft:azalea_leaves'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:sheep_spawn_egg', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'minecraft:netherite_ingot',
      B: 'minecraft:amethyst_shard',
      C: 'minecraft:azalea_leaves'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:cow_spawn_egg', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'minecraft:netherite_ingot',
      B: 'minecraft:amethyst_shard',
      C: 'minecraft:azalea_leaves'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:totem_of_undying', 1),
    [
      'CAC',
      'BAB',
      'ADA'
    ],
    {
      A: 'minecraft:gold_block',
      B: 'minecraft:emerald_block',
      C: 'minecraft:wither_rose',
      D: 'minecraft:nether_star'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:blaze_spawn_egg', 1),
    [
      'ECD',
      'BAB',
      'DCE'
    ],
    {
      A: 'minecraft:netherite_ingot',
      B: 'minecraft:nether_wart_block',
      C: 'minecraft:honey_block',
      D: 'minecraft:seagrass',
      E: 'minecraft:flowering_azalea_leaves'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:bee_spawn_egg', 1),
    [
      'BCB',
      'CAC',
      'BCB'
    ],
    {
      A: 'minecraft:oak_wood',
      B: 'minecraft:dirt',
      C: 'minecraft:oak_leaves'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:skeleton_spawn_egg', 1),
    [
      'BCB',
      'CAC',
      'BCB'
    ],
    {
      A: 'minecraft:creeper_spawn_egg',
      B: 'minecraft:zombie_spawn_egg',
      C: 'minecraft:cherry_sapling'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:ender_pearl', 12),
    [
      'BAC',
      'DED',
      'CAB'
    ],
    {
      A: 'minecraft:nether_wart_block',
      B: 'minecraft:glow_ink_sac',
      C: 'minecraft:azalea_leaves',
      D: 'minecraft:netherite_ingot',
      E: 'minecraft:conduit'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:budding_amethyst', 1),
    [
      'AEC',
      'EBE',
      'DDD'
    ],
    {
      A: 'minecraft:raw_iron_block',
      B: 'minecraft:raw_gold_block',
      C: 'minecraft:raw_copper_block',
      D: 'minecraft:netherite_ingot',
      E: 'minecraft:azalea_leaves'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:netherite_scrap', 4),
    [
      'ADE',
      'BFC',
      'EDA'
    ],
    {
      A: 'minecraft:seagrass',
      B: 'minecraft:gold_nugget',
      C: 'minecraft:iron_nugget',
      D: 'minecraft:glow_ink_sac',
      E: 'minecraft:blaze_rod',
      F: 'minecraft:netherite_ingot'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:warden_spawn_egg', 1),
    [
      'ACB',
      'CDC',
      'BCA'
    ],
    {
      A: 'minecraft:budding_amethyst',
      B: 'minecraft:nether_wart_block',
      C: 'minecraft:brain_coral_block',
      D: 'minecraft:netherite_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:heart_of_the_sea', 1),
    [
      'BAB',
      'CDC',
      'BAB'
    ],
    {
      A: 'minecraft:nautilus_shell',
      B: 'minecraft:glow_ink_sac',
      C: 'minecraft:lapis_lazuli',
      D: 'minecraft:budding_amethyst'
    }
  )}
)

ServerEvents.recipes(event => {
  event.smithing(
    'witherstormmod:command_block_sword',
    'minecraft:repeating_command_block',
    'advancednetherite:netherite_diamond_sword',
    'witherstormmod:command_block_book'
  )
})  

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('storagenetwork:master', 1),
    [
      'ABA',
      'CDC',
      'ABA'
    ],
    {
      A: 'minecraft:diamond',
      B: 'storagenetwork:storage_kabel',
      C: 'storagenetwork:kabel',
      D: 'minecraft:chest'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('storagenetwork:inventory', 1),
    [
      'ABA',
      'DCD',
      'ABA'
    ],
    {
      A: 'minecraft:emerald',
      B: 'storagenetwork:storage_kabel',
      C: 'storagenetwork:master',
      D: 'storagenetwork:inventory_remote'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('storagenetwork:request', 1),
    [
      'CDC',
      'BAB',
      'CDC'
    ],
    {
      A: 'storagenetwork:inventory',
      B: 'storagenetwork:crafting_remote',
      C: 'minecraft:netherite_ingot',
      D: 'storagenetwork:storage_kabel'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('storagenetwork:storage_kabel', 10),
    [
      ' B ',
      'BAB',
      ' B '
    ],
    {
      A: 'minecraft:diamond',
      B: 'storagenetwork:kabel'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('storagenetwork:inventory_remote', 1),
    [
      'ACD',
      'CBC',
      'DCA'
    ],
    {
      A: 'storagenetwork:storage_kabel',
      B: 'storagenetwork:kabel',
      C: 'minecraft:chest',
      D: 'minecraft:iron_ingot'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('storagenetwork:crafting_remote', 1),
    [
      'BDA',
      'DCD',
      'ADB'
    ],
    {
      A: 'minecraft:emerald',
      B: 'storagenetwork:storage_kabel',
      C: 'minecraft:crafting_table',
      D: 'storagenetwork:inventory_remote'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:wooden_sword', 1),
    [
      'CBE',
      'DAD',
      'EBC'
    ],
    {
      A: 'minecraft:stick',
      B: 'minecraft:stripped_oak_wood',
      C: 'minecraft:stripped_spruce_wood',
      D: 'minecraft:stripped_birch_wood',
      E: 'minecraft:stripped_jungle_wood'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:stone_sword', 1),
    [
      ' A ',
      ' A ',
      ' B '
    ],
    {
      A: 'minecraft:cracked_stone_bricks',
      B: 'minecraft:wooden_sword'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:iron_sword', 1),
    [
      ' A ',
      ' A ',
      ' B '
    ],
    {
      A: 'minecraft:iron_block',
      B: 'minecraft:stone_sword'
    }
  )}
)
ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:golden_sword', 1),
    [
      ' A ',
      ' A ',
      ' B '
    ],
    {
      A: 'minecraft:gold_block',
      B: 'minecraft:iron_sword'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:diamond_sword', 1),
    [
      ' A ',
      ' A ',
      ' B '
    ],
    {
      A: 'minecraft:diamond_block',
      B: 'minecraft:golden_sword'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:netherite_sword', 1),
    [
      ' A ',
      ' A ',
      ' B '
    ],
    {
      A: 'minecraft:netherite_block',
      B: 'minecraft:diamond_sword'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:enchanted_golden_apple', 1),
    [
      'BBB',
      'BAB',
      'BBB'
    ],
    {
      A: 'minecraft:golden_apple',
      B: 'minecraft:gold_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:experience_bottle', 1),
    [
      'ABC',
      'DEF',
      'GHI'
    ],
    {
      A: 'minecraft:skeleton_spawn_egg',
      B: 'minecraft:warden_spawn_egg',
      C: 'minecraft:creeper_spawn_egg',
      D: 'minecraft:cow_spawn_egg',
      E: 'minecraft:glass_bottle',
      F: 'minecraft:blaze_spawn_egg',
      G: 'minecraft:pig_spawn_egg',
      H: 'minecraft:sheep_spawn_egg',
      I: 'minecraft:chicken_spawn_egg'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:dragon_breath', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:end_stone_bricks',
      B: 'minecraft:enchanted_golden_apple',
      C: 'minecraft:experience_bottle'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:potion', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:ancient_debris',
      B: 'minecraft:fermented_spider_eye',
      C: 'minecraft:experience_bottle'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:repeating_command_block', 1),
    [
      'BAB',
      'DCD',
      'BAB'
    ],
    {
      A: 'witherstormmod:formidibomb',
      B: 'minecraft:echo_shard',
      C: 'minecraft:chain_command_block',
      D: "minecraft:ender_eye"
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('witherstormmod:formidibomb', 1),
    [
      'ACA',
      'CBC',
      'ACA'
    ],
    {
      A: 'minecraft:tnt',
      B: 'witherstormmod:super_tnt',
      C: 'witherstormmod:firework_bundle'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:fermented_spider_eye', 1),
    [
      'ABA',
      'CDC',
      'ACA'
    ],
    {
      A: 'minecraft:sugar',
      B: 'minecraft:brewing_stand',
      C: 'minecraft:gunpowder',
      D: 'minecraft:heart_of_the_sea'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:netherite_upgrade_smithing_template', 1),
    [
      'ABA',
      'ACA',
      'ADA'
    ],
    {
      A: 'minecraft:netherrack',
      B: 'minecraft:netherite_ingot',
      C: 'minecraft:diamond',
      D: 'minecraft:end_stone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:bedrock', 1),
    [
      'ABC',
      'DED',
      'CBA'
    ],
    {
      A: 'minecraft:cracked_deepslate_tiles',
      B: 'minecraft:elytra',
      C: 'minecraft:dragon_breath',
      D: 'minecraft:dragon_head',
      E: 'minecraft:dragon_egg'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:command_block', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:bell',
      B: 'minecraft:elytra',
      C: 'minecraft:bedrock'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:chain_command_block', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'minecraft:slime_block',
      B: 'minecraft:netherite_block',
      C: 'witherstormmod:command_block_book'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:slime_block', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:ender_eye',
      B: 'minecraft:honey_block'
    }
  )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('witherstormmod:tainted_sand', 1),
      [
        'AAA',
        'ABA',
        'AAA'
      ],
      {
        A: 'minecraft:sand',
        B: 'witherstormmod:tainted_dust'
      }
    )}
)

ServerEvents.recipes(event => {
    event.shaped(
      Item.of('witherstormmod:super_beacon', 1),
      [
        'AAA',
        'ABA',
        'CDC'
      ],
      {
        A: 'witherstormmod:tainted_glass',
        B: 'minecraft:composter',
        C: 'witherstormmod:tainted_flesh_block',
        D: 'witherstormmod:amulet'
      }
    )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:zombie_spawn_egg', 1),
    [
      'BCB',
      'CAC',
      'BCB'
    ],
    {
      A: 'minecraft:cobblestone',
      B: 'minecraft:oak_log',
      C: 'minecraft:oak_planks'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:spawner', 1),
    [
      'BCB',
      'CAC',
      'BCB'
    ],
    {
      A: 'minecraft:oak_leaves',
      B: 'minecraft:oak_log',
      C: 'minecraft:oak_planks'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:pointed_dripstone', 2),
    [
      'ABC',
      ' D ',
      ' E '
    ],
    {
      A: 'minecraft:granite',
      B: 'minecraft:diorite',
      C: 'minecraft:cobblestone',
      D: 'minecraft:andesite',
      E: 'minecraft:stone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:bee_nest', 1),
    [
      'ABC',
      'DED',
      'CBA'
    ],
    {
      A: 'minecraft:stripped_cherry_wood',
      B: 'minecraft:stripped_jungle_wood',
      C: 'minecraft:stripped_oak_wood',
      D: 'minecraft:stone_bricks',
      E: 'minecraft:bee_spawn_egg'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:flint', 2),
    [
      '   ',
      ' A ',
      '   '
    ],
    {
      A: 'minecraft:gravel'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:oxeye_daisy', 2),
    [
      '   ',
      ' A ',
      '   '
    ],
    {
      A: 'minecraft:birch_sapling'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:azure_bluet', 2),
    [
      '   ',
      ' A ',
      '   '
    ],
    {
      A: 'minecraft:azalea'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:poppy', 2),
    [
      '   ',
      ' A ',
      '   '
    ],
    {
      A: 'minecraft:cherry_sapling'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:dandelion', 2),
    [
      '   ',
      ' A ',
      '   '
    ],
    {
      A: 'minecraft:jungle_sapling'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('constructionwand:stone_wand', 1),
    [
      'CBC',
      'BAB',
      'CBC'
    ],
    {
      A: 'minecraft:stripped_acacia_wood',
      B: 'minecraft:stone',
      C: 'minecraft:cobblestone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('constructionwand:iron_wand', 1),
    [
      'BCB',
      'BAB',
      'BDB'
    ],
    {
      A: 'constructionwand:stone_wand',
      B: 'minecraft:iron_ingot',
      C: 'minecraft:iron_block',
      D: 'minecraft:raw_iron'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('constructionwand:diamond_wand', 1),
    [
      'BCB',
      'BAB',
      'BDB'
    ],
    {
      A: 'constructionwand:iron_wand',
      B: 'minecraft:diamond',
      C: 'minecraft:diamond_block',
      D: 'minecraft:diamond_ore'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('constructionwand:infinity_wand', 1),
    [
      'CBD',
      'BAB',
      'DBC'
    ],
    {
      A: 'constructionwand:diamond_wand',
      B: 'minecraft:nether_star',
      C: 'minecraft:sniffer_egg',
      D: 'minecraft:echo_shard'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:bone_block', 1),
    [
      'AAA',
      'AAA',
      'AAA'
    ],
    {
      A: 'minecraft:bone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:white_dye', 1),
    [
      '   ',
      ' A ',
      '   '
    ],
    {
      A: 'minecraft:bone'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('advancednetherite:netherite_iron_block', 1),
    [
      'BBB',
      'BAB',
      'BBB'
    ],
    {
      A: 'minecraft:netherite_block',
      B: 'minecraft:iron_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('advancednetherite:netherite_gold_block', 1),
    [
      'BBB',
      'BAB',
      'BBB'
    ],
    {
      A: 'advancednetherite:netherite_iron_block',
      B: 'minecraft:gold_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('advancednetherite:netherite_emerald_block', 1),
    [
      'BBB',
      'BAB',
      'BBB'
    ],
    {
      A: 'advancednetherite:netherite_gold_block',
      B: 'minecraft:emerald_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('advancednetherite:netherite_diamond_block', 1),
    [
      'BBB',
      'BAB',
      'BBB'
    ],
    {
      A: 'advancednetherite:netherite_emerald_block',
      B: 'minecraft:diamond_block'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:rabbit_hide', 1),
    [
      'AAA',
      'AAA',
      'AAA'
    ],
    {
      A: 'minecraft:rotten_flesh'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:leather', 2),
    [
      '   ',
      'AAA',
      '   '
    ],
    {
      A: 'minecraft:rabbit_hide'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:chainmail_helmet', 1),
    [
      'AAA',
      'A A',
      '   '
    ],
    {
      A: 'minecraft:chain'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:chainmail_chestplate', 1),
    [
      'A A',
      'AAA',
      'AAA'
    ],
    {
      A: 'minecraft:chain'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:chainmail_leggings', 1),
    [
      'AAA',
      'A A',
      'A A'
    ],
    {
      A: 'minecraft:chain'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:chainmail_boots', 1),
    [
      'A A',
      'A A',
      '   '
    ],
    {
      A: 'minecraft:chain'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:leather_helmet', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:leather',
      B: 'minecraft:chainmail_helmet'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:leather_chestplate', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:leather',
      B: 'minecraft:chainmail_chestplate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:leather_leggings', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:leather',
      B: 'minecraft:chainmail_leggings'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:leather_boots', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:leather',
      B: 'minecraft:chainmail_boots'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:golden_helmet', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:gold_ingot',
      B: 'minecraft:leather_helmet'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:golden_chestplate', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:gold_ingot',
      B: 'minecraft:leather_chestplate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:golden_leggings', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:gold_ingot',
      B: 'minecraft:leather_leggings'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:golden_boots', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:gold_ingot',
      B: 'minecraft:leather_boots'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:iron_helmet', 1),
    [
      'AAA',
      'ABA',
      '   '
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:golden_helmet'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:iron_chestplate', 1),
    [
      'ABA',
      'AAA',
      'AAA'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:golden_chestplate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:iron_leggings', 1),
    [
      'AAA',
      'ABA',
      'A A'
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:golden_leggings'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:iron_boots', 1),
    [
      'ABA',
      'A A',
      '   '
    ],
    {
      A: 'minecraft:iron_ingot',
      B: 'minecraft:golden_boots'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:diamond_helmet', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:diamond',
      B: 'minecraft:iron_helmet'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:diamond_chestplate', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:diamond',
      B: 'minecraft:iron_chestplate'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:diamond_leggings', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:diamond',
      B: 'minecraft:iron_leggings'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:diamond_boots', 1),
    [
      'AAA',
      'ABA',
      'AAA'
    ],
    {
      A: 'minecraft:diamond',
      B: 'minecraft:iron_boots'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:nether_star', 2),
    [
      'GBD',
      'CAC',
      'EBF'
    ],
    {
      A: 'minecraft:nether_star',
      B: 'minecraft:ancient_debris',
      C: 'minecraft:nether_wart_block',
      D: 'minecraft:deepslate_diamond_ore',
      E: 'minecraft:deepslate_redstone_ore',
      F: 'minecraft:deepslate_emerald_ore',
      G: 'minecraft:deepslate_gold_ore'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:water_bucket', 1),
    [
      'GBD',
      'CAC',
      'EBF'
    ],
    {
      A: 'minecraft:cauldron',
      B: 'minecraft:bucket',
      C: 'minecraft:cherry_sapling',
      D: 'minecraft:dandelion',
      E: 'minecraft:azure_bluet',
      F: 'minecraft:oxeye_daisy',
      G: 'minecraft:poppy'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:guardian_spawn_egg', 1),
    [
      'BCB',
      'CAC',
      'BCB'
    ],
    {
      A: 'minecraft:tropical_fish',
      B: 'minecraft:dark_prismarine',
      C: 'minecraft:prismarine'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:elder_guardian_spawn_egg', 1),
    [
      'ABC',
      'DED',
      'CBA'
    ],
    {
      A: 'minecraft:gold_block',
      B: 'minecraft:prismarine_crystals',
      C: 'minecraft:sponge',
      D: 'minecraft:prismarine_shard',
      E: 'endrem:guardian_eye'
    }
  )}
)

ServerEvents.recipes(event => {
  event.shaped(
    Item.of('minecraft:budding_amethyst', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:amethyst_shard',
      B: 'minecraft:amethyst_block'
    }
  )}
)